use database::DatabaseHandler;

#[macro_use]
extern crate rocket;

mod database;

#[rocket::main]
async fn main() {
    let client = match DatabaseHandler::create().await {
        Ok(client) => client,
        Err(err) => panic!(
            "Encountered an error while connecting to the database!\n{}",
            err
        ),
    };

    match rocket::build()
        .manage(client)
        .mount("/", routes![])
        .launch()
        .await
    {
        Ok(_) => (),
        Err(err) => println!("Encountered an error while starting rocket!\n{}", err),
    }
}
